use serenity::prelude::*;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
};

#[command]
#[aliases("crc")]
#[description = "paper sizzors rock basicly"]
pub fn cat_rat_cheese(ctx: &mut Context, msg: &Message, _args: Args) -> CommandResult {
    if let Ok(sent_msg) = msg.channel_id.say(
        &ctx.http,
        "react with your choice, wait for the 3 reactions to load tho",
    ) {
        for e in &['🐀', '🧀', '🐱'] {
            sent_msg.react(&ctx, *e).ok();
        }
        use crate::events;
        ctx.data
            .write()
            .get_mut::<events::CRCGameStateStore>()
            .expect("Expected CRCGameStateStore")
            .lock()
            .unwrap()
            .insert(
                sent_msg.id.into(),
                events::CRCGameState {
                    player_id: msg.author.id.into(),
                    player_score: 0,
                    bot_score: 0,
                },
            );
    }
    Ok(())
}
