use serenity::prelude::*;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
    utils,
};

#[command]
#[description = "spams a given message a maximum of 10 times"]
#[usage("<count> <message>")]
pub fn spam(ctx: &mut Context, msg: &Message, mut args: Args) -> CommandResult {
    if let Ok(count) = args.single::<u32>() {
        if count <= 10 {
            let to_spam = args.rest();
            for _ in 0..count {
                msg.channel_id
                    .say(
                        &ctx.http,
                        utils::content_safe(&ctx, to_spam, &utils::ContentSafeOptions::default()),
                    )
                    .ok();
            }
        } else {
            msg.channel_id.say(&ctx.http, "no thats too many").ok();
        }
    };
    Ok(())
}
